-- $Id: bt.rex 87 2024-02-17 13:14:54Z jeffr $

parse arg data dt rt

if data = '' | eq = '' then do
	say 'Usage:   bt.rex {filename} {distance} {route}'
	say 'Example: bt.rex data.csv 6 River Road'
	exit 1
end

if state(data) = 1 then do
	say 'bt.rex error: data file not found.'
	exit 1
end

bw = ''
bt = 1000.00

-- Main loop
do while lines(data) > 0
	wo = linein(data)
	parse value wo with date ',' type ',' loc ',' time ',' equip ',' dist ',' elev ',' note

    if upper(loc) = upper(rt) & dist = dt then do
        if time < bt then do
            bt = time
            bw = wo
        end
    end
end

say
if bw \= '' then do
    parse value bw with date ',' type ',' loc ',' time ',' equip ',' dist ',' elev ',' note
    say date', Time: 'time', 'format(time/dist,,2)' minutes per mile'
end
else do
    say 'No data for specified distance and route.'
end
say
exit 0
