-- $Id: eq.rex 87 2024-02-17 13:14:54Z jeffr $

parse arg data eq

if data = '' | eq = '' then do
	say 'Usage:   eq.rex {filename} {equipment}'
	say 'Example: eq.rex data.csv Saucony Cohesion 15'
	exit 1
end

if state(data) = 1 then do
	say 'eq.rex error: data file not found.'
	exit 1
end

td = 0

-- Main loop
do while lines(data) > 0
	wo = linein(data)
	parse value wo with date ',' type ',' loc ',' time ',' equip ',' dist ',' elev ',' note

    if upper(type) = 'RUN' & upper(equip) = upper(eq) then do
        td = td + dist
    end
end

say
if td > 0 then
    say eq':' td 'miles'
else
    say 'No data for specified equipment.'

say
exit 0
